Author Topic: firmware updates  (Read 616 times)

JRL011

  • Calf
  • *
  • Posts: 5
firmware updates
« on: November 18, 2019, 05:32:30 pm »
I have an old Link Station LS-CHL. It is still operating on what I believe is the original firmware level 1.06.
I have been trying for the last several weeks to update that version to the latest 1.74 but when I start the updater app it comes back and tells me that it cannot find the device that needs updating.
I have worked with Buffalo support twice and twice to no avail.
I have two questions, 1. in the .ini file it mentions a list of TARGETS with ProductID and a string (hex?) such as:
[Target]
ProductID1 = 0x00000011
does anyone know what do these items refer to?
2. Is there any way to get earlier firmware versions so I can see if any of those will move me from version 1.06?
any help would be appreciated.

1000001101000

  • Debian Wizard
  • El Toro
  • ****
  • Posts: 418
  • There's no problem so bad you cannot make it worse
Re: firmware updates
« Reply #1 on: November 19, 2019, 05:11:19 pm »
I believe this is because there are two different hardware revisions which have different firmware.

The firmware for both and a note how to tell them apart can be found here:
http://buffalo.jp/support_ap/support/products/ls_chl.html

JRL011

  • Calf
  • *
  • Posts: 5
Re: firmware updates
« Reply #2 on: November 20, 2019, 12:03:56 pm »
thank you for the link to the firmware download page but as far as I can surmise this firmware version is not any different from the other updater I have been trying to apply.
I received the same results with this updater saying that "the device needing upgrade cannot be found".??

1000001101000

  • Debian Wizard
  • El Toro
  • ****
  • Posts: 418
  • There's no problem so bad you cannot make it worse
Re: firmware updates
« Reply #3 on: November 20, 2019, 12:27:53 pm »
Quote
   * This is the firmware for V1 Series which has blue web-based interface.
The firmware can't use for V2 Series which has red web-based interface.

I believe the 1.12 firmware updater should allow you to upgrade 1.06 -> 1.12.

JRL011

  • Calf
  • *
  • Posts: 5
Re: firmware updates
« Reply #4 on: November 20, 2019, 12:35:24 pm »
when I try to download the 1.12 I get this error
<Error>
<Code>AccessDenied</Code>
<Message>Access denied</Message>
</Error>

1000001101000

  • Debian Wizard
  • El Toro
  • ****
  • Posts: 418
  • There's no problem so bad you cannot make it worse
Re: firmware updates
« Reply #5 on: November 20, 2019, 12:52:36 pm »
It just worked for me with Win10 + Firefox with no adblock.

JRL011

  • Calf
  • *
  • Posts: 5
Re: firmware updates
« Reply #6 on: November 20, 2019, 01:23:51 pm »
just tried it again (three is the charm) and was able to download the 1.12 firmware successfully. Thank you.

So would this be the latest firmware upgrade for my model??


1000001101000

  • Debian Wizard
  • El Toro
  • ****
  • Posts: 418
  • There's no problem so bad you cannot make it worse
Re: firmware updates
« Reply #7 on: November 20, 2019, 01:46:02 pm »
Yep, from 2009 by the look of it.

There is a Debian installer for these devices if you want to try something more modern. I've never tried this particular model but others from that era seem to work reasonably well.

btw, I finally got that access denied error you mentioned. It looks like when you load the page it creates temporary download links that expire if you leave the page open too long.

JRL011

  • Calf
  • *
  • Posts: 5
Re: firmware updates
« Reply #8 on: November 20, 2019, 01:56:06 pm »
thank you for your help I really appreciate it.